glab(1)

NAME
glab-ci-trigger - Trigger a manual CI/CD job.

SYNOPSIS
glab ci trigger [flags]

DESCRIPTION
Trigger a manual CI/CD job.

OPTIONS
-b, --branch=""
    The branch to search for the job. (default current branch)

-p, --pipeline-id=0
    The pipeline ID to search for the job.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Interactively select a job to trigger
    $ glab ci trigger
    # Trigger manual job with id 224356863
    $ glab ci trigger 224356863
    # Trigger manual job with name lint
    $ glab ci trigger lint

SEE ALSO
glab-ci(1)